<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{4B28ADC9-CCF2-469D-9D18-580EEE90BCED}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>ZionVault</RootNamespace>
    <AssemblyName>ZionVault</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Development|AnyCPU'">
    <OutputPath>bin\Development\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Development|x64'">
    <OutputPath>bin\x64\Development\</OutputPath>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="HtmlAgilityPack, Version=1.11.16.0, Culture=neutral, PublicKeyToken=bd319b19eaf3b43a, processorArchitecture=MSIL">
      <HintPath>..\ZionSuite\ZionSuite\packages\HtmlAgilityPack.1.11.16\lib\Net45\HtmlAgilityPack.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Office.Client.Policy, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.Office.Client.Policy.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Office.Client.TranslationServices, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.Office.Client.TranslationServices.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Office.SharePoint.Tools, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.Office.SharePoint.Tools.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Online.SharePoint.Client.Tenant, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.Online.SharePoint.Client.Tenant.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.ProjectServer.Client, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.ProjectServer.Client.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.SharePoint.Client, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.SharePoint.Client.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.SharePoint.Client.DocumentManagement, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.SharePoint.Client.DocumentManagement.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.SharePoint.Client.Publishing, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.SharePoint.Client.Publishing.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.SharePoint.Client.Runtime, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.SharePoint.Client.Runtime.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.SharePoint.Client.Search, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.SharePoint.Client.Search.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.SharePoint.Client.Search.Applications, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.SharePoint.Client.Search.Applications.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.SharePoint.Client.Taxonomy, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.SharePoint.Client.Taxonomy.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.SharePoint.Client.UserProfiles, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.SharePoint.Client.UserProfiles.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.SharePoint.Client.WorkflowServices, Version=16.1.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c, processorArchitecture=MSIL">
      <HintPath>..\ZionRobot\packages\Microsoft.SharePointOnline.CSOM.16.1.21213.12000\lib\net45\Microsoft.SharePoint.Client.WorkflowServices.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\ZionSuite\ZionSuite\packages\Newtonsoft.Json.12.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http, Version=4.1.1.3, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\ZionSuite\ZionSuite\packages\System.Net.Http.4.3.4\lib\net46\System.Net.Http.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.Algorithms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\ZionSuite\ZionSuite\packages\System.Security.Cryptography.Algorithms.4.3.0\lib\net46\System.Security.Cryptography.Algorithms.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.Encoding, Version=4.0.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\ZionSuite\ZionSuite\packages\System.Security.Cryptography.Encoding.4.3.0\lib\net46\System.Security.Cryptography.Encoding.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.Primitives, Version=4.0.1.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\ZionSuite\ZionSuite\packages\System.Security.Cryptography.Primitives.4.3.0\lib\net46\System.Security.Cryptography.Primitives.dll</HintPath>
    </Reference>
    <Reference Include="System.Security.Cryptography.X509Certificates, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\ZionSuite\ZionSuite\packages\System.Security.Cryptography.X509Certificates.4.3.0\lib\net46\System.Security.Cryptography.X509Certificates.dll</HintPath>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Basic\Location.cs" />
    <Compile Include="Binder\Indexing\Definition.cs" />
    <Compile Include="Binder\Indexing\Document.cs" />
    <Compile Include="Binder\Indexing\Field.cs" />
    <Compile Include="Binder\Log\Document.cs" />
    <Compile Include="Binder\Log\Element.cs" />
    <Compile Include="Binder\Log\ElementsGroup.cs" />
    <Compile Include="Encoders\Xml\Document.cs" />
    <Compile Include="Encoders\Xml\Element.cs" />
    <Compile Include="Encoders\Xml\ElementsGroup.cs" />
    <Compile Include="Binder\OCR\Area.cs" />
    <Compile Include="Binder\OCR\Barcode.cs" />
    <Compile Include="Binder\OCR\Document.cs" />
    <Compile Include="Binder\OCR\Line.cs" />
    <Compile Include="Binder\OCR\Page.cs" />
    <Compile Include="Binder\OCR\Paragraph.cs" />
    <Compile Include="Binder\OCR\Word.cs" />
    <Compile Include="Binder\Simple\Archive.cs" />
    <Compile Include="Binder\Simple\Document.cs" />
    <Compile Include="Binder\Simple\Field.cs" />
    <Compile Include="Binder\Verified\Document.cs" />
    <Compile Include="Binder\Verified\Field.cs" />
    <Compile Include="Binder\Verified\Page.cs" />
    <Compile Include="Binder\Output\Document.cs" />
    <Compile Include="Binder\Output\Field.cs" />
    <Compile Include="Binder\Output\Page.cs" />
    <Compile Include="Environment\ComputerName.cs" />
    <Compile Include="Environment\CurrentDate.cs" />
    <Compile Include="Environment\CurrentDay.cs" />
    <Compile Include="Environment\CurrentMonth.cs" />
    <Compile Include="Environment\CurrentTime.cs" />
    <Compile Include="Environment\CurrentYear.cs" />
    <Compile Include="Environment\InputFileName.cs" />
    <Compile Include="Environment\InputFilePath.cs" />
    <Compile Include="Environment\InputFolder.cs" />
    <Compile Include="Environment\InputPath.cs" />
    <Compile Include="Environment\IVariable.cs" />
    <Compile Include="Environment\LastDayTheMonth.cs" />
    <Compile Include="Environment\OutputFileCount.cs" />
    <Compile Include="Environment\OutputFileName.cs" />
    <Compile Include="Environment\OutputFilePath.cs" />
    <Compile Include="Environment\OutputFolder.cs" />
    <Compile Include="Environment\OutputPath.cs" />
    <Compile Include="Environment\UserName.cs" />
    <Compile Include="Environment\VariableFactory.cs" />
    <Compile Include="Importers\CSV.cs" />
    <Compile Include="Importers\Param\CSV.cs" />
    <Compile Include="Logger\ILog.cs" />
    <Compile Include="Logger\Log.cs" />
    <Compile Include="Logger\LogConsole.cs" />
    <Compile Include="Logger\LogFile.cs" />
    <Compile Include="Logger\LogWindows.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Service\ZionServiceStatus.cs" />
    <Compile Include="Synonym\Area.cs" />
    <Compile Include="Synonym\Document.cs" />
    <Compile Include="Synonym\Search.cs" />
    <Compile Include="Synonym\Word.cs" />
    <Compile Include="Util\CallScript.cs" />
    <Compile Include="Util\Downloader.cs" />
    <Compile Include="Util\IO.cs" />
    <Compile Include="Util\MimeType.cs" />
    <Compile Include="Util\Naming.cs" />
    <Compile Include="Util\Pad\IPad.cs" />
    <Compile Include="Util\Pad\PadFactory.cs" />
    <Compile Include="Util\Pad\PadLeft.cs" />
    <Compile Include="Util\Pad\PadRight.cs" />
    <Compile Include="Util\StringFormat.cs" />
    <Compile Include="Util\Switch.cs" />
    <Compile Include="Util\Trim\ITrim.cs" />
    <Compile Include="Util\Trim\TrimFactory.cs" />
    <Compile Include="Util\Trim\TrimFull.cs" />
    <Compile Include="Util\Trim\TrimLeft.cs" />
    <Compile Include="Util\Trim\TrimRight.cs" />
    <Compile Include="Util\Xml.cs" />
    <Compile Include="Util\SharePointManager.cs" />
    <Compile Include="WebService\Client.cs" />
    <Compile Include="WebService\HttpClient.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>